#
# spec file for package python-sasl
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without test
Name:           python-sasl
Version:        0.3.1
Release:        3.1
Summary:        SASL for Python
License:        Apache-2.0
URL:            https://github.com/cloudera/python-sasl
Source:         https://files.pythonhosted.org/packages/source/s/sasl/sasl-%{version}.tar.gz
# PATCH-FIX-UPSTREAM Based on gh#cloudera/python-sasl#32
Patch0:         cythonize-during-build.patch
# PATCH-FIX-UPSTREAM https://github.com/cloudera/python-sasl/pull/33 Drop python-six dependency
Patch1:         remove-six.patch
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libsasl2)
%python_subpackages

%description
Cyrus-SASL bindings for Python.

%prep
%autosetup -p1 -n sasl-%{version}

%build
export CFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}
# Don't ship generated sources
%python_expand rm %{buildroot}%{$python_sitearch}/sasl/saslwrapper.{cpp,h}

%files %{python_files}
%doc PKG-INFO
%license LICENSE.txt
%{python_sitearch}/sasl
%{python_sitearch}/sasl-%{version}.dist-info

%changelog
* Fri Jun  7 2024 Markéta Machová <mmachova@suse.com>
- Add remove-six.patch to drop no-longer-needed six dependency
* Thu Mar 14 2024 Steve Kowalik <steven.kowalik@suse.com>
- Drop patch python-311.patch, does not work with Python 3.12.
- Add patch cythonize-during-build.patch, to Cythonize during build.
- Switch to pyproject macros.
* Tue Feb 21 2023 Daniel Garcia <daniel.garcia@suse.com>
- Add python-311.patch to support python 3.11, gh#cloudera/python-sasl#31
- Delete regenerate-cpp-wrappers.patch
- Update to 0.3.1, there's no release notes upstream.
* Fri Apr 16 2021 Markéta Machová <mmachova@suse.com>
- Add regenerate-cpp-wrappers.patch to fix build with Python 3.9
* Wed Aug 16 2017 toddrme2178@gmail.com
- Initial version
